mav_boxGetMatrix(3)

NAME
mav_boxGetMatrix - Get matrix of object.

LEVEL
Maverik Level 2

SYNTAX
int mav_boxGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_compositeGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_coneGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_ctorusGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_cylinderGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_ellipseGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_facetGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_hellipseGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_hsphereGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_polylineGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_polygonGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_polygonGrpGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_pyramidGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_rectangleGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_rtorusGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_SMSObjGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_sphereGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_teapotGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_textGetMatrix(MAV_object *o, MAV_matrix **m);

int mav_avatarGetMatrix(MAV_object *o, MAV_matrix **m);

ARGUMENTS
Object to query. Pointer to object's matrix

DESCRIPTION
This function returns a pointer to the matrix of object o.